=== modified file 'include/my_sys.h'
--- include/my_sys.h	2008-06-30 07:09:25 +0000
+++ include/my_sys.h	2008-07-01 07:17:30 +0000
@@ -821,9 +821,6 @@
 extern my_bool my_uncompress(uchar *, size_t , size_t *);
 extern uchar *my_compress_alloc(const uchar *packet, size_t *len,
                                 size_t *complen);
-extern int packfrm(uchar *, size_t, uchar **, size_t *);
-extern int unpackfrm(uchar **, size_t *, const uchar *);
-
 extern ha_checksum my_checksum(ha_checksum crc, const uchar *mem,
                                size_t count);
 extern void my_sleep(ulong m_seconds);

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-06-30 19:58:51 +0000
+++ mysys/Makefile.am	2008-07-01 07:17:30 +0000
@@ -49,7 +49,7 @@
 			my_sleep.c \
 			charset.c charset-def.c my_bitmap.c my_bit.c md5.c \
 			sha1.c \
-			my_handler.c my_largepage.c \
+			my_handler.c \
 			my_memmem.c \
 			my_access.c base64.c
 EXTRA_DIST =		thr_alarm.c thr_lock.c my_thr_init.c \

=== modified file 'mysys/my_compress.c'
--- mysys/my_compress.c	2008-06-25 05:29:13 +0000
+++ mysys/my_compress.c	2008-07-01 07:17:30 +0000
@@ -132,129 +132,3 @@
     *complen= len;
   DBUG_RETURN(0);
 }
-
-/*
-  Internal representation of the frm blob is:
-
-  ver	  4 bytes
-  orglen  4 bytes
-  complen 4 bytes
-*/
-
-#define BLOB_HEADER 12
-
-
-/*
-  packfrm is a method used to compress the frm file for storage in a
-  handler. This method was developed for the NDB handler and has been moved
-  here to serve also other uses.
-
-  SYNOPSIS
-    packfrm()
-    data                    Data reference to frm file data.
-    len                     Length of frm file data
-    out:pack_data           Reference to the pointer to the packed frm data
-    out:pack_len            Length of packed frm file data
-
-  NOTES
-    data is replaced with compressed content
-
-  RETURN VALUES
-    0                       Success
-    >0                      Failure
-*/
-
-int packfrm(uchar *data, size_t len,
-            uchar **pack_data, size_t *pack_len)
-{
-  int error;
-  size_t org_len, comp_len, blob_len;
-  uchar *blob;
-  DBUG_ENTER("packfrm");
-  DBUG_PRINT("enter", ("data: 0x%lx  len: %lu", (long) data, (ulong) len));
-
-  error= 1;
-  org_len= len;
-  if (my_compress((uchar*)data, &org_len, &comp_len))
-    goto err;
-
-  DBUG_PRINT("info", ("org_len: %lu  comp_len: %lu", (ulong) org_len,
-                      (ulong) comp_len));
-  DBUG_DUMP("compressed", data, org_len);
-
-  error= 2;
-  blob_len= BLOB_HEADER + org_len;
-  if (!(blob= (uchar*) my_malloc(blob_len,MYF(MY_WME))))
-    goto err;
-
-  /* Store compressed blob in machine independent format */
-  int4store(blob, 1);
-  int4store(blob+4, (uint32) len);
-  int4store(blob+8, (uint32) org_len);          /* compressed length */
-
-  /* Copy frm data into blob, already in machine independent format */
-  memcpy(blob+BLOB_HEADER, data, org_len);
-
-  *pack_data= blob;
-  *pack_len=  blob_len;
-  error= 0;
-
-  DBUG_PRINT("exit", ("pack_data: 0x%lx  pack_len: %lu",
-                      (long) *pack_data, (ulong) *pack_len));
-err:
-  DBUG_RETURN(error);
-
-}
-
-/*
-  unpackfrm is a method used to decompress the frm file received from a
-  handler. This method was developed for the NDB handler and has been moved
-  here to serve also other uses for other clustered storage engines.
-
-  SYNOPSIS
-    unpackfrm()
-    pack_data               Data reference to packed frm file data
-    out:unpack_data         Reference to the pointer to the unpacked frm data
-    out:unpack_len          Length of unpacked frm file data
-
-  RETURN VALUES¨
-    0                       Success
-    >0                      Failure
-*/
-
-int unpackfrm(uchar **unpack_data, size_t *unpack_len,
-              const uchar *pack_data)
-{
-   uchar *data;
-   size_t complen, orglen;
-   ulong ver;
-   DBUG_ENTER("unpackfrm");
-   DBUG_PRINT("enter", ("pack_data: 0x%lx", (long) pack_data));
-
-   ver=         uint4korr(pack_data);
-   orglen=      uint4korr(pack_data+4);
-   complen=     uint4korr(pack_data+8);
-
-   DBUG_PRINT("blob",("ver: %lu  complen: %lu  orglen: %lu",
-                      ver, (ulong) complen, (ulong) orglen));
-   DBUG_DUMP("blob->data", pack_data + BLOB_HEADER, complen);
-
-   if (ver != 1)
-     DBUG_RETURN(1);
-   if (!(data= my_malloc(max(orglen, complen), MYF(MY_WME))))
-     DBUG_RETURN(2);
-   memcpy(data, pack_data + BLOB_HEADER, complen);
-
-   if (my_uncompress(data, complen, &orglen))
-   {
-     my_free(data, MYF(0));
-     DBUG_RETURN(3);
-   }
-
-   *unpack_data= data;
-   *unpack_len=  orglen;
-
-   DBUG_PRINT("exit", ("frmdata: 0x%lx  len: %lu", (long) *unpack_data,
-                       (ulong) *unpack_len));
-   DBUG_RETURN(0);
-}

=== removed file 'mysys/my_largepage.c'
--- mysys/my_largepage.c	2008-06-25 05:29:13 +0000
+++ mysys/my_largepage.c	1970-01-01 00:00:00 +0000
@@ -1,166 +0,0 @@
-/* Copyright (C) 2004 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-#include "mysys_priv.h"
-
-#ifdef HAVE_LARGE_PAGES
-
-#ifdef HAVE_SYS_IPC_H
-#include <sys/ipc.h>
-#endif
-
-#ifdef HAVE_SYS_SHM_H
-#include <sys/shm.h>
-#endif
-
-static uint my_get_large_page_size_int(void);
-static uchar* my_large_malloc_int(size_t size, myf my_flags);
-static my_bool my_large_free_int(uchar* ptr, myf my_flags);
-
-/* Gets the size of large pages from the OS */
-
-uint my_get_large_page_size(void)
-{
-  uint size;
-  DBUG_ENTER("my_get_large_page_size");
-  
-  if (!(size = my_get_large_page_size_int()))
-    fprintf(stderr, "Warning: Failed to determine large page size\n");
-
-  DBUG_RETURN(size);
-}
-
-/*
-  General large pages allocator.
-  Tries to allocate memory from large pages pool and falls back to
-  my_malloc_lock() in case of failure
-*/
-
-uchar* my_large_malloc(size_t size, myf my_flags)
-{
-  uchar* ptr;
-  DBUG_ENTER("my_large_malloc");
-  
-  if (my_use_large_pages && my_large_page_size)
-  {
-    if ((ptr = my_large_malloc_int(size, my_flags)) != NULL)
-        DBUG_RETURN(ptr);
-    if (my_flags & MY_WME)
-      fprintf(stderr, "Warning: Using conventional memory pool\n");
-  }
-      
-  DBUG_RETURN(my_malloc_lock(size, my_flags));
-}
-
-/*
-  General large pages deallocator.
-  Tries to deallocate memory as if it was from large pages pool and falls back
-  to my_free_lock() in case of failure
- */
-
-void my_large_free(uchar* ptr, myf my_flags __attribute__((unused)))
-{
-  DBUG_ENTER("my_large_free");
-  
-  /*
-    my_large_free_int() can only fail if ptr was not allocated with
-    my_large_malloc_int(), i.e. my_malloc_lock() was used so we should free it
-    with my_free_lock()
-  */
-  if (!my_use_large_pages || !my_large_page_size ||
-      !my_large_free_int(ptr, my_flags))
-    my_free_lock(ptr, my_flags);
-
-  DBUG_VOID_RETURN;
-}
-
-#ifdef HUGETLB_USE_PROC_MEMINFO
-/* Linux-specific function to determine the size of large pages */
-
-uint my_get_large_page_size_int(void)
-{
-  FILE *f;
-  uint size = 0;
-  char buf[256];
-  DBUG_ENTER("my_get_large_page_size_int");
-
-  if (!(f = my_fopen("/proc/meminfo", O_RDONLY, MYF(MY_WME))))
-    goto finish;
-
-  while (fgets(buf, sizeof(buf), f))
-    if (sscanf(buf, "Hugepagesize: %u kB", &size))
-      break;
-
-  my_fclose(f, MYF(MY_WME));
-  
-finish:
-  DBUG_RETURN(size * 1024);
-}
-#endif /* HUGETLB_USE_PROC_MEMINFO */
-
-#if HAVE_DECL_SHM_HUGETLB
-/* Linux-specific large pages allocator  */
-    
-uchar* my_large_malloc_int(size_t size, myf my_flags)
-{
-  int shmid;
-  uchar* ptr;
-  struct shmid_ds buf;
-  DBUG_ENTER("my_large_malloc_int");
-
-  /* Align block size to my_large_page_size */
-  size = ((size - 1) & ~(my_large_page_size - 1)) + my_large_page_size;
-  
-  shmid = shmget(IPC_PRIVATE, size, SHM_HUGETLB | SHM_R | SHM_W);
-  if (shmid < 0)
-  {
-    if (my_flags & MY_WME)
-      fprintf(stderr,
-              "Warning: Failed to allocate %lu bytesx from HugeTLB memory."
-              " errno %d\n", (ulong) size, errno);
-
-    DBUG_RETURN(NULL);
-  }
-
-  ptr = (uchar*) shmat(shmid, NULL, 0);
-  if (ptr == (uchar *) -1)
-  {
-    if (my_flags& MY_WME)
-      fprintf(stderr, "Warning: Failed to attach shared memory segment,"
-              " errno %d\n", errno);
-    shmctl(shmid, IPC_RMID, &buf);
-
-    DBUG_RETURN(NULL);
-  }
-
-  /*
-    Remove the shared memory segment so that it will be automatically freed
-    after memory is detached or process exits
-  */
-  shmctl(shmid, IPC_RMID, &buf);
-
-  DBUG_RETURN(ptr);
-}
-
-/* Linux-specific large pages deallocator */
-
-my_bool my_large_free_int(uchar *ptr, myf my_flags __attribute__((unused)))
-{
-  DBUG_ENTER("my_large_free_int");
-  DBUG_RETURN(shmdt(ptr) == 0);
-}
-#endif /* HAVE_DECL_SHM_HUGETLB */
-
-#endif /* HAVE_LARGE_PAGES */

